from zeep import Client

# Przykład wywołania metody getConfigProfiles, umożliwiającej pobranie zdefiniowanych profili konfiguracyjnych

login = '' # Login konta w Postivo.pl
api_pass = '' # Hasło dostępu do konta przez API
msg_type = 1 # Typ przesyłki (1-przesyłka listowa)

try:
# Utworzenie klienta SOAP:
    client = Client("https://api.postivo.pl/webservices.php?wsdl")

# Wywołanie metody getConfigProfiles z przekazaniem wszystkich parametrów
    request_data={'login' : login,
                  'api_pass' : api_pass,
                  'msg_type' : msg_type
                  }

    output=client.service.getConfigProfiles(**request_data)

# Przykład obsługi danych wyjściowych:
    print("Status żądania: "+output['result']+", kod statusu żądania: "+output['result_code']+", opis statusu żądania: "+output['result_description'])

    for config_profile in output['config_profiles']:
        print("Nazwa konfiguracji: "+config_profile['config_name']+", ID konfiguracji: "+str(config_profile['config_id'])+", Rodzaj papieru: "+config_profile['paper_type']+", Wydruk dokumentów: "+config_profile['paper_print_type']+", Rodzaj koperty: "+config_profile['envelope_type']+", Nazwa szablonu koperty: "+config_profile['envelope_template']+", Wydruk koperty: "+config_profile['envelope_print_type']+", Operator pocztowy: "+config_profile['carrier']+", Typ przesyłki: "+config_profile['dispatch_type']);
except:
    print("Wystąpił błąd")
