from zeep import Client

# Przykład wywołania metody getSenders, umożliwiającej pobranie listy zdefiniowanych nadawców przesyłek

login = '' # Login konta w Postivo.pl
api_pass = '' # Hasło dostępu do konta przez API

try:
# Utworzenie klienta SOAP:
    client = Client("https://api.postivo.pl/webservices.php?wsdl")

# Wywołanie metody getSenders z przekazaniem wszystkich parametrów
    request_data={'login' : login,
                  'api_pass' : api_pass
                  }

    output=client.service.getSenders(**request_data)

# Przykład obsługi danych wyjściowych:
    print("Status żądania: "+output['result']+", kod statusu żądania: "+output['result_code']+", opis statusu żądania: "+output['result_description'])

    for sender in output['senders']:
        print("ID nadawcy: "+str(sender['sender_id'])+", Dane nadawcy: "+sender['sender_name']+", "+sender['sender_address']+" "+str(sender['sender_home_number'])+"/"+str(sender['sender_flat_number'])+", "+str(sender['sender_post_code'])+" "+sender['sender_city']+", Nadawca domyślny: "+("tak" if sender['default'] else "nie")+", Nadawca aktywny: "+("tak" if sender['active'] else "nie"));
except:
    print("Wystąpił błąd")
